\parindent=-0.9in
\epsfig{file=forside.eps,width=1.23\linewidth}
\pagestyle{empty}
\parindent=0pt
\parskip=\baselineskip
\pagenumbering{roman}
\input synopsis.tex
\parskip=0pt
\tableofcontents
\newpage
\newpage
\pagestyle{fancyplain}
\pagenumbering{arabic}

\chapter{Prolog}
\input indledning.tex
\input problemstilling.tex
\input gruppesam.tex
\input tidsskema.tex

\chapter{Redesign af LeOS}
\input nythread.tex
\input serial.tex

\chapter{Design af hardware}
\input rs485.tex
\input greenhouse.tex

\chapter {Design af drivhus server}
\input mpserver.tex

\chapter{Protokol}
\input protocol.tex

\chapter{Java}
\input RMI.tex

\chapter{Epilog}
\input perspek.tex
\input konklusion.tex

\bibliographystyle{alpha}
\bibliography{references}

\appendix
\chapter{Diagrammer}
\section{???}
\epsfigurew{diagram}{???}

\chapter{Kildekode filer}

\def\getsrcFiles#1#2#3{\subsection{#1}\label{file:#3}\lstinputlisting{../#2.h}\lstinputlisting{../#2.cpp}}
\def\getsrcFile#1#2#3{\subsection{#1}\label{file:#3}\lstinputlisting{../#2}}

\def\inputFiles{  
  \section{C++ filer}
  \getsrcFiles{Klassen ComA}{LeOS/driver/rs232/coma}{coma}
  \getsrcFiles{Klassen FifoBuf}{LeOS/utility/fifo}{fifo}
  \getsrcFile{Klassen IODriver}{LeOS/driver/iodriver.h}{iodriver}
  \getsrcFiles{Klassen GreenHouseIO}{LeOS/hardware/hardware}{hardware}
  \getsrcFiles{Klassen GHServerStub}{LeOS/funcs/ghsrvstb}{ghsrvstb}
  \getsrcFile{Klassen IGHServer}{LeOS/funcs/ighsrv.h}{ighsrv}
  \getsrcFile{Klassen GHClient}{LeOS/apps/ghclient.h}{ghclient}
  \getsrcFile{Klassen PromoTask}{LeOS/apps/promo.h}{promo}
  \getsrcFile{LeOS}{LeOS/LeOS.cpp}{leos}
  \getsrcFiles{Klassen Thread}{LeOS/kernel/thread}{thread}

  \getsrcFiles{Klassen ?}{LeOS/protocol/g1.net/datalink}{datalink}
  \getsrcFiles{Klassen ???}{LeOS/protocol/g1.net/nettrans}{nettrans}
  \getsrcFile{Klassen ???}{LeOS/protocol/g1.net/protocol.h}{protocol}
  \getsrcFiles{Klassen ???}{LeOS/protocol/g1.net/slidewin}{slidewin}

  \getsrcFile{Klassen ???}{LeOS/protocol/net/datalink.h}{datalink}
  \getsrcFiles{Klassen ???}{LeOS/protocol/net/packet}{packet}
  \getsrcFile{Klassen ???}{LeOS/protocol/net/socket.h}{socket}  

  \section{Java filer}
  \getsrcFile{Klassen MultWebServer}{../java/MultWebServer.java}{multwebserver}
  \getsrcFile{Klassen HttpRequest}{../java/HttpRequest.java}{httprequest}  
  \getsrcFile{Klassen MPServer}{../java/MPServer.java}{mpserver}
  \getsrcFile{Klassen HeadServerI}{../java/HeadServerI.java}{headserveri}
  \getsrcFile{Klassen HeadServer}{../java/HeadServer.java}{headserver}
  \getsrcFile{Klassen ServerI}{../java/ServerI.java}{serveri}
  \getsrcFile{Klassen ServerImpl}{../java/ServerImpl.java}{serverimpl}
  \getsrcFile{Klassen MicroProcessor}{../java/MicroProcessor.java}{microprocessor}
  \getsrcFile{Klassen ClientApplet}{../java/ClientApplet.java}{clientapplet}  
  
}

\inputFiles